KDE4 dev dependencies

I was rebuilding a clean Kubuntu install just for compiling KDE4 apps, and this time I actually took notes of the packages needed to build the following modules, which are the ones I need for basic kdegames testing:

qt-copy
strigi (apparently will be required in a few weeks for kdelibs)
kdelibs
kdepimlibs
kdebase
kdegames

Starting with a default Kubuntu Edgy install, launch adept and request the following packages

cmake
libdbus1-dev
subversion
libungif4-dev
xorg-dev
g++
libgl1-mesa-dev
freeglut3-dev
libxml2-dev
libxslt1-dev
libjpeg62-dev
libpng12-dev
libbz2-dev
libcrypto++-dev
libssl-dev

(edit: for strigi, add also

libclucene-dev )

This assumes qt-copy is being built with opengl support, which is something not strictly required, iirc. Just keeping the list here in case I need it in the future, instead of waiting for a build failure to hunt/install a new package.

Of course, now that I have written it down I am sure someone will tell me that all I need is some sort of meta kde4-devel-libraries package, which already exists somewhere!